Subject: bug#40344: inconsistent 'guix package --list-generations' for root

From: Efraim Flashner <[email-masked]>
Date: Tue, 31 Mar 2020 11:54:36 +0300

When I run 'sudo guix package --list-generations' on a foreign distro
I get a list of all the profiles for all the users, not just for root.
When I run 'sudo guix package --list-generations' on Guix System I get:
guix package: error: profile '/var/guix/profiles/per-user/root/guix-profile' does not exist

1: it probably shouldn't error if the default profile doesn't exist
2: I like the idea of root being able to, say, clean up all the profiles
over a certain age (ie.: guix package --delete-generations 6m). On the
other hand it is unexpected behavior since root is "just another user"

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted